View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
18463Bug reportsTheme editorpublic2022-11-28 11:08
ReporterMazi Assigned Toollehar  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.28.x 
Summary18463: List of uploaded files should be sorted alphabetically
Description

When having many files uploaded to a theme and selecting a file e.g. as background image, the dropdowns of available files are not sorted nicely. I have no idea what details are currently used for sorting the dropdowns, but it will help a lot if these would be sorted alphabetically.

Steps To Reproduce

Steps to reproduce

Open the theme options of a theme which has several images uploaded.

Expected result

See available files at dropdown in alphabetical order.

Actual result

List is completely un-ordered.

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)3.28.32
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMariaDB 10.1.48
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.4

Relationships

related to 18491 confirmed List of fonts and colors should be sorted alphabetically 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2022-11-05 13:21

updater  

image.png (38,045 bytes)   
image.png (38,045 bytes)   
DenisChenu

DenisChenu

2022-11-05 18:38

developer   ~72574

feature ?
Adding a search box (selct2) can be great too.

Mazi

Mazi

2022-11-06 11:55

updater   ~72578

I do not consider this a feature request since this is just bad design and should be improved. Should be a piece of cake to add alphabetical sorting.

ollehar

ollehar

2022-11-07 11:42

administrator   ~72590

Yeah, should be a small fix.

gabrieljenik

gabrieljenik

2022-11-14 15:24

manager   ~72720

Master PR: https://github.com/LimeSurvey/LimeSurvey/pull/2722

DenisChenu

DenisChenu

2022-11-15 17:34

developer   ~72747

Last edited: 2022-11-15 17:34

Maybe better with strcasecmp (Linux server) ?

gabrieljenik

gabrieljenik

2022-11-16 14:18

manager   ~72765

Reviewed by @Ollehar
Tested by me

gabrieljenik

gabrieljenik

2022-11-16 14:20

manager   ~72766

Created related ticket 18491

DenisChenu

DenisChenu

2022-11-16 14:28

developer   ~72768

Tested by me

Did you test on Linux with

Logo1
Mogo
Nogo
logo2

?

gabrieljenik

gabrieljenik

2022-11-16 14:37

manager   ~72770

On Linux like this.
I know what you mean, although @ollehar already approved it like it is.

@ollehar, what do you think about this?

Maybe better with strcasecmp (Linux server) ?

image-2.png (17,794 bytes)   
image-2.png (17,794 bytes)   
DenisChenu

DenisChenu

2022-11-18 14:58

developer   ~72813

On Linux like this.

Yes , but here : you have only lower case name ;)

gabrieljenik

gabrieljenik

2022-11-18 15:29

manager   ~72814

Maybe better with strcasecmp (Linux server) ?

Updated

DenisChenu

DenisChenu

2022-11-18 15:30

developer   ~72815

Thanks :)

LimeBot

LimeBot

2022-11-28 11:08

administrator   ~72907

Fixed in Release 5.4.13+221128

Issue History

Date Modified Username Field Change
2022-11-05 13:21 Mazi New Issue
2022-11-05 13:21 Mazi File Added: image.png
2022-11-05 18:38 DenisChenu Note Added: 72574
2022-11-05 18:38 DenisChenu Bug heat 0 => 2
2022-11-06 11:55 Mazi Note Added: 72578
2022-11-06 11:55 Mazi Bug heat 2 => 4
2022-11-07 11:42 ollehar Priority none => normal
2022-11-07 11:42 ollehar Note Added: 72590
2022-11-07 11:42 ollehar Bug heat 4 => 6
2022-11-07 14:23 gabrieljenik Status new => confirmed
2022-11-08 19:25 gabrieljenik Assigned To => gabrieljenik
2022-11-08 19:25 gabrieljenik Status confirmed => assigned
2022-11-14 15:24 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-11-14 15:24 gabrieljenik Status assigned => ready for code review
2022-11-14 15:24 gabrieljenik Note Added: 72720
2022-11-14 15:24 gabrieljenik Bug heat 6 => 8
2022-11-15 17:34 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-11-15 17:34 DenisChenu Note Added: 72747
2022-11-15 17:34 DenisChenu Note Edited: 72747
2022-11-16 14:18 gabrieljenik Assigned To gabrieljenik => ollehar
2022-11-16 14:18 gabrieljenik Status ready for code review => ready for merge
2022-11-16 14:18 gabrieljenik Note Added: 72765
2022-11-16 14:20 gabrieljenik Issue cloned: 18491
2022-11-16 14:20 gabrieljenik Relationship added related to 18491
2022-11-16 14:20 gabrieljenik Note Added: 72766
2022-11-16 14:28 DenisChenu Note Added: 72768
2022-11-16 14:37 gabrieljenik Note Added: 72770
2022-11-16 14:37 gabrieljenik File Added: image-2.png
2022-11-18 14:58 DenisChenu Note Added: 72813
2022-11-18 15:29 gabrieljenik Note Added: 72814
2022-11-18 15:30 DenisChenu Note Added: 72815
2022-11-28 11:08 LimeBot Note Added: 72907
2022-11-28 11:08 LimeBot Status ready for merge => closed
2022-11-28 11:08 LimeBot Resolution open => fixed
2022-11-28 11:08 LimeBot Bug heat 8 => 10